Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2015.11.03
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz?/GeoIP-%{version}.dat.gz
# Source0-md5:	8c05085026366d19a3a5f954b70c2c8f
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz?/GeoIPv6-%{version}.dat.gz
# Source1-md5:	81fa4944d9e714af51919fb84a637617
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs >= 1.4.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gzip -d GeoIP-%{version}.dat.gz GeoIPv6-%{version}.dat.gz
dt4=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
dt5=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$(echo $dt4 | tr -d .)" -gt "$(echo $dt6 | tr -d .)" ]; then
	ver=$dt4
else
	ver=$dt6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIP-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat
cp -p GeoIPv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Wed Nov 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-Country.git;a=log;h=master

* Tue Nov 03 2015 Elan Ruusamäe <glen@delfi.ee> f44585e
- updated to 2015.11.03

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> b72ed9c
- updated to 2015.10.27

* Fri Oct 09 2015 Elan Ruusamäe <glen@delfi.ee> 8a1beb3
- updated to 2015.10.09

* Wed Oct 07 2015 Elan Ruusamäe <glen@delfi.ee> 9588d48
- updated to 2015.10.07

* Tue Oct 06 2015 Elan Ruusamäe <glen@delfi.ee> 4728d6d
- updated to 2015.10.06

* Wed Sep 02 2015 Elan Ruusamäe <glen@delfi.ee> 499d964
- updated to 2015.09.02

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> b5fd557
- up to 2015.08.05

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 36ee947
- up to 2015.07.24

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> c19bcd4
- up to 2015.07.08

* Thu Jun 04 2015 Elan Ruusamäe <glen@delfi.ee> 1eaad58
- up to 2015.06.03

* Thu May 07 2015 Elan Ruusamäe <glen@delfi.ee> 67e9192
- up to 2015.05.06

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> 2bcd710
- up to 2015.04.07

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> 4da1427
- up to 2015.03.03

* Fri Jan 09 2015 Elan Ruusamäe <glen@delfi.ee> 720eb55
- up to 2015.01.07

* Wed Dec 03 2014 Elan Ruusamäe <glen@delfi.ee> ec66b41
- up to 2014.12.02

* Tue Nov 11 2014 Elan Ruusamäe <glen@delfi.ee> 6330fe5
- up to 2014.11.05

* Thu Oct 09 2014 Elan Ruusamäe <glen@delfi.ee> be7aafe
- up to 2014.10.08

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> 062d623
- up to 2014.09.04

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> 7fd4d4c
- up to 2014.09.03

* Wed Aug 06 2014 Elan Ruusamäe <glen@delfi.ee> d83f23a
- up to 2014.08.06

